package meerkat.voting.controller.commands;

import meerkat.protobuf.Voting.*;

public class ReportErrorCommand extends ControllerCommand {
    private final UIElement errorMessage;

    public ReportErrorCommand(int requestIdentifier, long ballotSerialNumber, UIElement errorMessage) {
        super(requestIdentifier, ballotSerialNumber);
        this.errorMessage = errorMessage;
    }

    public UIElement getErrorMessage() {
        return errorMessage;
    }
}
